MINA(1)

NAME
mina - deployer and server automation tool

SYNOPSIS
mina [OPTIONS] command
mina [OPTIONS] task

DESCRIPTION
mina is a fast deploy Bash script generator. It generates an entire deployment procedure as a Bash script and runs it remotely on a server, creating a single SSH session per deploy, minimizing the SSH connection overhead. Its syntax is similar to capistrano.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-h, --help
    Show summary of options.

-V, --version
    Show version of program.

-v, --verbose
    Show commands as they are executed.

-S, --simuate
    Run in simulation mode, i.e. do not perform actual changes.

-t, --trace
    Show backtraces upon errors.

-f FILE
    Use FILE as the deploy configuration.

COMMANDS
The following are mina specific commands

help
    Show summary of options.

init
    Generate a sample configuration file for deployments in the working directory.

tasks
    Show all rake(1) tasks provided by mina.

TASKS
The tasks are rake(1) tasks defined by the user in a project's deployment configuration file. See /usr/share/doc/mina/examples/deploy.rb for an example deployment configuration.

SEE ALSO
cap(1), fab(1), rake(1).

AUTHOR
Mina is written by Nadarei, Inc. This manual page was written by Aggelos Avgerinos <evaggelos.avgerinos@gmail.com> for the Debian project (but may be used by others).

LICENSE

This software is released under the MIT license. See /usr/share/doc/mina/copyright for more details.

Copyright © 2014 Nadarei, Inc.